﻿#include "CAppInfo.h"
#include <QDateTime>

std::shared_ptr<CAppInfo> g_appInfoPtr = nullptr;

CAppInfo::CAppInfo()
{
    m_fRate = 1;
    m_sQssStr = "";

    m_sHttpServer = "";
    m_sHttpPort = "";

    m_nRecordId = 0;
	m_sEscDomain = "";
	m_sOrgPrefix = "";
	m_bDisableMutiScreen = false;
	m_bDisableRemoteAssistance = false;
	m_bFullScreenTop = false;
	m_bDisableVirtualCamera = false;
	m_sRootOrgId = "";
	m_bShowQmthLogo = false;
    m_sMenuLogoUrl = "";
	m_bShowStudentClientAppQrcode = false;
	m_bWeiXinAnswerEnabled = false;
	m_jAudioPlayedCount = Json::Value::null;

	m_nStudentId = 0;
	m_sStudentName = "";
	m_nOrgId = 0;
	m_sOrgCode = "";
	m_sOrgName = "";
	m_sStudentCode = "";
	m_sStudentIdentityNumber = "";
	m_sStudentPhotoPath = "";
	m_bStudentEnable = false;
	m_sSpecialtyName = "";
	m_sAppDownLoadUrl = "";

	m_nVersionId = 0;
	m_sVersionCode = "";
	m_sMachineId = "";	
    m_sUpgradeUrl = "";
	m_sCacheFileDir = "temp/";
    m_bShowDebugInfo = false;

    m_pAnsBgWidget = nullptr;
}

__int64 CAppInfo::serverMTime()
{
    return QDateTime::currentDateTime().toMSecsSinceEpoch();
}
